#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,280,320,400,560,680,840,1120,1400,1680,2240
 * N : 25,280,320,400,560,680,840,1120,1400,1680,2240
 * NB : 5,5,8,8,12,8,56,16,40,56,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 300) (nb_) = 5; \
   else if ((n_) < 480) (nb_) = 8; \
   else if ((n_) < 620) (nb_) = 12; \
   else if ((n_) < 760) (nb_) = 8; \
   else if ((n_) < 980) (nb_) = 56; \
   else if ((n_) < 1260) (nb_) = 16; \
   else if ((n_) < 1540) (nb_) = 40; \
   else if ((n_) < 1960) (nb_) = 56; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
