#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,80,160,200,240,320,480,520,560,600,640,680,840,920,960,1040,1400,2840
 * N : 25,80,160,200,240,320,480,520,560,600,640,680,840,920,960,1040,1400,2840
 * NB : 4,8,8,8,40,40,40,56,72,56,40,76,56,40,80,80,80,80
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 52) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 500) (nb_) = 40; \
   else if ((n_) < 540) (nb_) = 56; \
   else if ((n_) < 580) (nb_) = 72; \
   else if ((n_) < 620) (nb_) = 56; \
   else if ((n_) < 660) (nb_) = 40; \
   else if ((n_) < 760) (nb_) = 76; \
   else if ((n_) < 880) (nb_) = 56; \
   else if ((n_) < 940) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
